Subject: RE: New packge: lighttpd-1.3.0
From: "Robin Bowes" <[email-masked]>
To: "'Gerrit @ cygwin'" <[email-masked]>
Date: Wed, 22 Sep 2004 11:18:36 +0100

Hi Gerrit,

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Gerrit P. Haase
> Sent: 22 September 2004 09:50
> To: [email-masked]
> Subject: Re: New packge: lighttpd-1.3.0
> 
> Hello R.,
> 
> Am Mittwoch, 22. September 2004 um 02:33 schriebst du:

[snip]

> > I also downloaded and built the fastcgi dev. Kit
> > (http://www.fastcgi.com/dist/fcgi.tar.gz)
> 
> That is interesting, is this needed?  For lighttpd or for PHP?

The fastcgi dev. kit is needed to build php with fastcgi support. It took me a
few goes to work this out (I didn't just sit down and build this first time with
no errors!)

> > # ./configure --enable-fastcgi --enable-force-cgi-redirect 
> --with-layout=GNU
> > --with-pgsql
> 
> See above.  What is the difference with layout GNU and layout PHP?

It just puts files in different places; I don't know the exact details, and I
suspect it's not all that important for this exercise. When building a package
for cygwin I presume the developers have standards that should be applied to the
locations of files in every package?
 
> > # make
> > # make install
> 
> > # php -v
> > PHP 4.3.8 (cgi-fcgi) (built: Sep 22 2004 00:46:39)
> > Copyright (c) 1997-2004 The PHP Group
> > Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
> 
> > Well, that seems to work.
> 
> Wow, I'm impressed.

Yeah, I was rather surprised!

> 
> > I then downloaded and installed spawn-fcgi from the 
> lighttpd project download
> > page and built and installed it.
> > 
> (http://jan.kneschke.de/projects/lighttpd/download/spawn-fcgi-
> 1.2.0.tar.gz)
> 
> Therefore the first fastcgi package is needed?

I don't thing it is needed for this; just for php. But, I had already installed
it (fastcgi dev package) when I built spawn-fcgi so I don't know for sure.

> > I ran the PHP fastcgi interface like this:
> 
> > # spawn-fcgi.exe -f /usr/local/bin/php -p 1026 -C 5
> > spawn-fcgi.c.150: child spawned successfully: PID: 5824
> 
> Yes, great.
> 
> 
> > I also grabbed the spawn-php.sh example script
> > 
> (http://jan.kneschke.de/projects/lighttpd/download/spawn-php.s
> h) but this didn't
> > seem to work.
> 
> Tried to use #!/bin/bash instead of /bin/sh?

The bang path is set to #!/bin/bash. I don't think that's the problem. I've
reported this on the lighttpd list.

So, what now? I saw that Reini is going to have another look at the PHP package
in the light of some progress in another area. Meanwhile, I've got php working
(subject to further testing!) so I'll leave it at that I think. I'll try and
write this up and post a link when I'm done.

Cheers,

R.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/